# XQException Class Reference

`#include <XQException.hpp>`

List of all members.

## Public Member Functions

| XQException (const XMLCh *reason, const XMLCh *file, unsigned int line, unsigned int column, const char *cppFile, unsigned int cppLine)
| XQException (const XQException &)
virtual | ~XQException ()
const XMLCh * | getType () const
const XMLCh * | getError () const
const XMLCh * | getXQueryFile () const
unsigned int | getXQueryLine () const
unsigned int | getXQueryColumn () const
void | setXQueryPosition (const XMLCh *file, unsigned int line, unsigned int column)
void | setXQueryPosition (const LocationInfo *info)
const XMLCh * | getCppFunction () const
const char * | getCppFile () const
unsigned int | getCppLine () const
bool | isErrorReported () const
| For debugger.
void | setErrorReported (bool value=true)
void | printDebug (const XMLCh *const context) const

## Protected Member Functions

| XQException (const XMLCh *const type, const XMLCh *const functionName, const XMLCh *const reason, const LocationInfo *info, const char *cppFile, unsigned int cppLine)

## Constructor & Destructor Documentation

XQException::XQException | ( | const XMLCh * | reason,
|  | const XMLCh * | file,
|  | unsigned int | line,
|  | unsigned int | column,
|  | const char * | cppFile,
|  | unsigned int | cppLine
| ) |

XQException::XQException | ( | const XQException & |  | ) |

virtual XQException::~XQException | ( |  | ) | `[virtual]`

XQException::XQException | ( | const XMLCh *const | type,
|  | const XMLCh *const | functionName,
|  | const XMLCh *const | reason,
|  | const LocationInfo * | info,
|  | const char * | cppFile,
|  | unsigned int | cppLine
| ) | `[protected]`

## Member Function Documentation

const char* XQException::getCppFile | ( |  | ) | const`[inline]`

const XMLCh* XQException::getCppFunction | ( |  | ) | const`[inline]`

unsigned int XQException::getCppLine | ( |  | ) | const`[inline]`

const XMLCh* XQException::getError | ( |  | ) | const`[inline]`

const XMLCh* XQException::getType | ( |  | ) | const`[inline]`

unsigned int XQException::getXQueryColumn | ( |  | ) | const`[inline]`

const XMLCh* XQException::getXQueryFile | ( |  | ) | const`[inline]`

unsigned int XQException::getXQueryLine | ( |  | ) | const`[inline]`

bool XQException::isErrorReported | ( |  | ) | const`[inline]`

| For debugger.

void XQException::printDebug | ( | const XMLCh *const | context | ) | const

void XQException::setErrorReported | ( | bool | value = `true` | ) | `[inline]`

void XQException::setXQueryPosition | ( | const LocationInfo * | info | ) |

void XQException::setXQueryPosition | ( | const XMLCh * | file,
|  | unsigned int | line,
|  | unsigned int | column
| ) |

The documentation for this class was generated from the following file:

- XQException.hpp